#include <string>

class ContinuationPlugins;
class RunPlugin;

/*
  Reads configuration file to find directories associated with
  given user.
  Accepts:
    my_username - username for which directories will be searched.
  Returns
    true - success
    false - failure
    On success 'control_dir', 'session_root', 'default_lrms' and
    'default_queue' are filled. For meaning of these directories
    look description of grid-manager and configuration template.
*/
bool configure_user_dirs(const string &my_username,
                string &control_dir,string &session_root,
                string &default_lrms,string &default_queue,
                ContinuationPlugins &plugins,RunPlugin& cred,
                string& allow_submit);

