#ifndef __GFS_CONF_H__
#define __GFS_CONF_H__

#include <cstring>
#include <iostream>
#include <fstream>
#include <string>

#include "../config/conf.h"
#include "../config/daemon.h"
#include "../config/config_sections.h"
#include "../config/environment.h"

#define DEFAULT_CONFIG_FILE "/etc/gridftpd.conf"
#define DEFAULT_CENTRAL_CONFIG_FILE "/etc/nordugrid.conf"
extern char* config_file;

bool config_open_gridftp(ifstream &cfile);
void config_strip(string &rest);

#endif // __GFS_CONF_H__
