#ifndef __INCLUDE_SE_NS_H__
#define __INCLUDE_SE_NS_H__

#include <string>

class SEFile;
class SEAttributes;

class SENameServer {
 private:
  string contact_;
  string se_url_;
 public:
  SENameServer(const char* contact,const char* se_url):contact_(contact),se_url_(se_url)  { };
  virtual ~SENameServer(void) { };
  virtual int Connect(void) { return 0; };
  virtual int Disconnect(void) { return 0; };
  virtual int Register(SEFile& file,bool require_unique = false) { return 0; };
  virtual int Unregister(SEFile& file,bool allow_last = true) { return 0; };
  virtual int Modify(SEFile& file) { return 0; };
  virtual int Get(SEAttributes& file) { return 0; };
  virtual int Maintain(void) { return 0; };
  virtual const char* contact() { return contact_.c_str(); };
  virtual const char* se_url() { return se_url_.c_str(); };
  virtual string url(SEAttributes& file);
  virtual operator bool(void) { return (contact_.length()>0); };
};

SENameServer* create_ns(const char* contact,const char* se_url);

#endif // __INCLUDE_SE_NS_H__
