#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "qmainwindow.h"
#include "qtabwidget.h"

using namespace std;

#include "CertInfo.h"

class QTabWidget;
class QWidget;
class QString;
class QLabel;

class JobSubWindow;
class JobStatWindow;
class JobConstructWindow;

class MainWindow : public QMainWindow
{
  Q_OBJECT

 public:
  MainWindow( QWidget* parent = 0, const char* name = 0 );
  ~MainWindow( );
  
 public slots:
  void load( );
  void save( );
  void tabChanged( QWidget* );
  void updateStatusBar( const QString& = "" );
  void renewProxy( void );
  void proxyInfo( void );
 
 private:
  QTabWidget* tabs;
  JobSubWindow* jobWindow;
  JobStatWindow* jobStats;
  JobConstructWindow* jobConstruct;

  string getProxyValidity( void );
};

#endif
