#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <vector>
#include <string>

#ifndef UI_PREFERENCES
#define UI_PREFERENCES

#ifndef UNDEFINED
#define UNDEFINED -1
#endif

#ifndef DEFAULT_TIMEOUT
#define DEFAULT_TIMEOUT 40
#endif

string GetEnv (const string & env);
string GetDef (const string & def);
vector <string> ResolveAliases (const vector <string> & clusters);
int iGetEnv (const string & env);
int iGetDef (const string & def);
vector <string> GetJobIDs (const vector <string> & jobs,
			   const vector <string> & joblist,
			   const vector <string> & clusterselect,
			   const vector <string> & clusterreject,
			   const vector <string> & status,
			   bool all);
void RemoveJobID (const string & jobid);
void ActivateGlobus();
void DeactivateGlobus();

#endif
