#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string>
#include <map>
#include <limits.h>

#ifndef UI_UTILS
#define UI_UTILS

map <int, int> ParseStringToMap (const string & value);

map <long int, int> ParseFreeCpuStringToMap (const string & value);

map <string, string> ParseOptionString (const string & optstring);

bool GetBooleanOption (const map <string, string> & options,
		       const string & opt, bool * value);
// returns true if opt was found in options, in which case * value is set
// accordingly. Otherwise * value is unchanged

void RemoveDefaultPort (string & url);

string UnX509 (const string & escaped);

#endif
