#ifndef XRSLHIGHLIGHTER_H
#define XRSLHIGHLIGHTER_H

#include <vector>
#include <string>

class QString;
class QTextEdit;

#include "qsyntaxhighlighter.h"

using namespace std;

class xRSLHighlighter : QSyntaxHighlighter
{
 public:
  xRSLHighlighter( QTextEdit* );
  ~xRSLHighlighter();

  int highlightParagraph( const QString&, int );

 private:
  QColor red;
  QColor blue;
  QColor black;
  vector<string> xrslattributes;
};

#endif // XRSLHIGHLIGHTER_H
